<?php

namespace AMZcockpitDoctrine\Repository;
use AMZcockpitDoctrine\Entity\KeywordTracking;
use Doctrine\ORM\QueryBuilder;

/**
 * KeywordTrackingRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class KeywordTrackingRepository extends \Doctrine\ORM\EntityRepository
{

    public function getKeywordsTrackingsToFetch()
    {
        $qb = $this->createQueryBuilder('kt')->select('kt');
        $qb->where($qb->expr()->lte('kt.nextSchedule',':date'))
            ->setParameter('date',new \DateTime('now'));
        $qb->orderBy('kt.id', 'ASC');
        return  $qb->getQuery()->getResult();
    }
}
